Issue 87161 - font display issue for Arial Bold 'É' when font replacemwnt already in use
font display issue for Arial Bold 'É' when font replacemwnt already in use
Status: CLOSED DUPLICATE of issue 88376
Product: gsl
Classification: Code
Component: code
OOo 2.4 RC5
All Linux, all
: P3 Trivial (vote)
: OOo 3.x
Assigned To: hdu@apache.org
issues@gsl
https://bugs.edge.launchpad.net/ubunt...
:
Depends on: 83370
Blocks: 81913
  Show dependency treegraph
 
Reported: 2008-03-18 00:48 UTC by ccheney
Modified: 2008-09-10 11:07 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
example document causing the issue (29.51 KB, application/vnd.oasis.opendocument.text)
2008-03-18 00:49 UTC, ccheney
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description ccheney 2008-03-18 00:48:40 UTC
This bug is really strange.

1. Open the attached document (and leave it open for entirety of test)
2. Create new document File->New->Text Document
3. Insert the character 'É' then right click and select character->Font (Arial)
Typeface (Bold)
4. Notice the character changes from 'É' to a special single character that
looks like '...'

This does not happen if the attached document is not opened at the same time, so
it appears something about the document causes some kind of corruption in
OpenOffice. I don't know if has any potential security implications since I
don't know what the root cause is.
Comment 1 ccheney 2008-03-18 00:49:24 UTC
Created attachment 52170 [details]
example document causing the issue
Comment 2 michael.ruess 2008-03-18 06:14:06 UTC
MRU->HDU: odd problem... when the attached file is open, and you enter an "E
with acute accent" diacritic into a new document, format it with Arial and
typeface bold, wrong character "..." will be displayed. Looks like a problem,
when the font replacement is already in use.
Comment 3 hdu@apache.org 2008-03-18 17:06:00 UTC
Which Linux version is this? Is an "Arial" font avaible (please check with the Insert->SpecialChar dialog)?
Comment 4 ccheney 2008-03-18 18:14:55 UTC
Ubuntu 7.10 with official OOo 2.4.0~rc5 debs from openoffice.org (not the Ubuntu
packages). The problem also happens with the Ubuntu packages but I verified
against official packages. And yes 'Arial' appears under Insert->Special
Character. And inserting 'É' shows up properly until I change it to Bold. So it
only doesn't work when set to Arial Bold and only when the example document is
also loaded at the same time.
Comment 5 hdu@apache.org 2008-03-20 16:55:08 UTC
Now I can reproduce it (on DEV300_m3) if the albw*.ttf fonts from Suse10.2 are in the fontpath 
somewhere.
Comment 6 hdu@apache.org 2008-03-20 17:34:00 UTC
Added a dependency on the probably related issue 83370.
Comment 7 Mathias_Bauer 2008-04-21 16:28:57 UTC
changed component
Comment 8 hdu@apache.org 2008-06-04 12:45:14 UTC
retargeting, OOo3 is too close... unless a patch with a solution shows up.
Comment 9 hdu@apache.org 2008-09-03 16:07:53 UTC
That is a typical duplicate of issue 83376 => fixed in CWS vcl93 => OOO300_m4

*** This issue has been marked as a duplicate of 83376 ***
Comment 10 hdu@apache.org 2008-09-03 16:12:26 UTC
issue 88376 of course
Comment 11 hdu@apache.org 2008-09-03 16:14:08 UTC
issue 88376 of course => fixed in CWS vcl93 => OOO300_m4

*** This issue has been marked as a duplicate of 88376 ***
Comment 12 hdu@apache.org 2008-09-10 11:07:27 UTC
Closing duplicate